
Conversion Tools - Feature #1758

design a database schema to contain a complete conversion project

10/30/2012 07:23 AM - Greg Shah

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 40.00 hours

Target version:    

billable: No version:  

vendor_id: GCD   

Description

Related issues:

Blocked by TRPL - Feature #1759: design a database to back all TRPL processing New

History

#1 - 10/30/2012 07:27 AM - Greg Shah

This task is about the P2J-specific portions of the database backed conversion.  However, the database support for TRPL backing requires a related

but different set of features.  Those features will be created in #1759.  These TRPL features will be leveraged by P2J, but this task is designed to

extend these features to support all the ConversionDriver requirements including all inputs (source code, schemas, keyword ignore lists...),

configuration (hints, global cfg...), intermediate forms (ASTs, cache files, pphints...), outputs (Java source code, Hibernate cfgs, DDL, runtime XML

inputs...).

#2 - 10/31/2012 01:14 PM - Greg Shah

- Target version set to Code Improvements

#3 - 11/16/2016 12:46 PM - Greg Shah

- Target version deleted (Code Improvements)
